/**
 * localStorage Mixin
 *
 * allows localStorage to be used as a mixin
 */
module.exports = {
    store: {
        get: function (key) {
            return window.localStorage.getItem(key);
        },
        set: function (key, value) {
            return window.localStorage.setItem(key, value);
        },
        remove: function (key) {
            return window.localStorage.removeItem(key);
        },
        clear: function() {
            return window.localStorage.clear();
        }
    }
};
